Bug 1128044 - [Doc Bug Fix] [Topic-4759] Add information on how to configure handler and handler-chain via CLI [NEEDINFO]
Summary: [Doc Bug Fix] [Topic-4759] Add information on how to configure handler and ha...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: post-GA
: TBD EAP 6
Assignee: Scott Mumford
QA Contact: Jan Blizňák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 07:27 UTC by Jochen Cordes
Modified: 2015-10-20 12:51 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 14874, Administration and Configuration Guide-6.2-1 Build Date: 07-04-2014 15:16:16 Topic ID: 4759-458836 [Specified]
Last Closed: 2015-10-20 12:51:01 UTC
Type: Bug
smumford: needinfo? (jcordes)


Attachments (Terms of Use)

Description Jochen Cordes 2014-08-08 07:27:05 UTC
Title: Configure the Web Subsystem

Describe the issue:

There is no information given on how to configure handler-chains and handler. Also there is no list on what handlers are available, I only have found a reference to org.jboss.ws.common.invocation.RecordingServerHandler (btw this seems to be the corresponding part to org.jboss.wsf.framework.invocation.RecordingServerHandler from EAP 4/5 but no information is provided in the Migration Guide).


Suggestions for improvement:

Include information from
https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Application_Platform/6.2/html-single/Development_Guide/#Configure_the_literalwebservicesliteral_Subsystem

Example 13.4. Add a Handler Chain

/profile=default/subsystem=webservices/endpoint-config=My-Endpoint-Config/post-handler-chain=my-handlers:add(protocol-bindings="##SOAP11_HTTP")

Example 13.6. Add a Handler

/profile=default/subsystem=webservices/endpoint-config=My-Endpoint-Config/post-handler-chain=my-handlers/handler=foo-handler:add(class="org.jboss.ws.common.invocation.RecordingServerHandler")

Additional information:

Comment 4 Scott Mumford 2015-07-17 05:25:03 UTC
Jochen,

Can you spare a moment to look over the new content linked in the comment above and let me know if it's the kind of thing you had in mind when you made this request?

Sorry it's been neglected for as long as it has.

Comment 5 Russell Dickenson 2015-07-20 04:54:42 UTC
My feedback on the new content as per link in comment 3 is as follows:

1. Since the adding of a handler and a handler chain is shown in the procedure, I think the "add" examples should be removed. I also think the "read" examples should be moved to the end of the topic, unless they add to the explanatory text. To me it seems that they interrupt the flow of the text.
2. Why is step 1 of the procedure starting JBoss EAP in "standalone" mode? At the end of the procedure is a check to see if the changes have taken effect, and mentions both 'domain' and 'standalone' configuration files.
3. My *preference* would be to remove the following from the example CLI commands, so that a user could copy and paste the command into a terminal, and not get the prompt's text: "[standalone@localhost:9999 /]"
4. It would be better to use a management CLI command to confirm the handlers' configuration has taken effect, rather than examining XML files because:
  (a) we are discouraging users from examining XML configuration files;
  (b) the CLI commands are the same regardless of JBoss EAP mode.
5. The procedure's title mentions only "add handlers" but also specify CLI commands to define a handler chain.
6. Does JBoss EAP need to be restarted, or a "reload" operation done to enable the handlers?

Comment 6 Russell Dickenson 2015-07-20 04:56:09 UTC
One more point...

7. I would remove "in JBoss EAP" from the topic's title since the content is *all* about JBoss EAP and having that text included does not add anything.

Comment 7 Scott Mumford 2015-07-21 04:40:26 UTC
Cheers Russell. I've made the suggested changes (except the one about removing CLI prompts).

Moving to MODIFIED to await stage rebuild.

Comment 9 Radim Hatlapatka 2015-07-29 10:37:09 UTC
Checked with docs revision 6.4.0-35

This doesn't belong to Web subsystem chapter. This is about Web Services which are described in next chapter (chapter 16) and thus should be moved there.

Comment 10 Jan Blizňák 2015-07-30 13:28:54 UTC
In addition to move to Web Services chapter, I would use FQDNs in list "Handler Classes in JBoss EAP" because add operation requires it.

Comment 12 Scott Mumford 2015-07-31 03:17:38 UTC
Thanks for the suggestion, Jan.

Rather than list out the FQDNs of each handler, I've added a link to the javadoc that contains the information I was using.

This helps to future-proof the document against any changes that may happen in the codebase.

Comment 14 Jan Blizňák 2015-08-25 11:32:26 UTC
Verified with Revision 6.4.0-36


Note You need to log in before you can comment on or make changes to this bug.